//
//  PrizeView.m
//  choujiang
//
//  Created by MAC on 2020/11/19.
//

#import "PrizeView.h"

@interface PrizeView (){
    
}
@property (nonatomic, strong) UILabel *nameLabel;
@property (nonatomic, strong) UIImageView *img;
@end

@implementation PrizeView
- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        //self.backgroundColor = [self RandomColor];
        self.backgroundColor = [UIColor whiteColor];
        [self initView];
    }
    return self;
}
/** 添加奖品名 */
- (void)initView {
    self.img = [[UIImageView alloc] initWithFrame:CGRectMake(1, 1, self.frame.size.width-2, self.frame.size.height-2)];
    self.img.userInteractionEnabled = YES;
    [self addSubview:self.img];
    self.nameLabel = [[UILabel alloc] initWithFrame:self.bounds];
    self.nameLabel.textAlignment = NSTextAlignmentCenter;
    [self addSubview:self.nameLabel];
    
}
- (void)setImgString:(NSString *)imgString {
    _imgString = imgString;
    self.img.image = [UIImage imageNamed:_imgString];
}
/** 设置奖品名称 */
- (void)setName:(NSString *)name {
    _name = name;
    self.nameLabel.text = _name;
}
/** 选择中样色 */
- (void)setIsSelect:(BOOL)isSelect {
    _isSelect = isSelect;
    if (_isSelect) {
        self.layer.borderWidth = 4;
        self.layer.borderColor = [UIColor colorWithRed:255.f/255.f green:255.f/255.f blue:0/255.f alpha:1].CGColor;
        self.alpha = 0.5f;
    } else {
        self.layer.borderWidth = 0;
        self.alpha = 1;
    }
}
/** 随机色 */
- (UIColor*)RandomColor {
    NSInteger aRedValue = arc4random()%255;
    NSInteger aGreenValue = arc4random()%255;
    NSInteger aBlueValue = arc4random()%255;
    UIColor *randColor = [UIColor colorWithRed:aRedValue/255.0f green:aGreenValue/255.0f blue:aBlueValue/255.0f alpha:1.0f];
    return randColor;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
